Subject: Re: [EAI] Question about AUTH48 text for 5336bis/ proto-RFC 6531

From: Shawn Steele <[email-masked]>
Date: Tue, 7 Feb 2012 16:54:37 +0000

I agree that the priority isn't particularly helpful, and could be damaging.  Which of the 3 choices is taken depends on which one applies to the current situation, regardless of priority.

I kind of like C, although I'd remove the "otherwise" from the 2nd bullet, which is implicitly asserting a priority.  I do like the "reminder" in the 3rd bullet of C that other routes are available.  Although that's fairly clear in RFC5231 section 2.2.3, it may not be obvious in this context.

I'd also be fine with A, or your corrected original example.  I'm more wary of B & D because they are significantly revised and this isn't worth ratholing on.  Though awkward, I don't even think the original text would block implementers.

-Shawn

---

From: "Martin J. Dürst" <[email-masked]>
Date: Wed, 08 Feb 2012 19:57:59 +0900

> I kind of like C, although I'd remove the "otherwise" from the 2nd bullet, which is implicitly asserting a priority.  I do like the "reminder" in the 3rd bullet of C that other routes are available…

Same here, with the same tweak.

But I'm only an observer in this game, so please ignore me if it helps 
moving forward.

Regards,    Martin.